Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This happens in all browsers, only for flash objects with multimedia content. Non-multimedia flash objects work just fine, until I try to access the Settings, at which point the whole object becomes unresponsive (but doesn't give me an error about crashing).

I was also having problems with my audio drivers today; I'm not sure if that's related. I fixed those problems by following these instructions, ending with this command:

sudo aptitude --purge reinstall linux-sound-base alsa-base alsa-utils linux-image-`uname -r` linux-ubuntu-modules-`uname -r` libasound2

I've tried basically everything I can think of as well as everything suggested in forums, blogs, etc. and now I'm at my wits' end. Anybody know what's going on or how I can fix it? Any help is greatly appreciated.

share|improve this question
    
Also, I'm running 11.10 64bit. –  John P Bloch Mar 3 '12 at 21:54
add comment

2 Answers 2

enter image description hereGo to Mozilla website for plug-ins. Install flash-aid or flash-video-replacer.

You can reset Firefox back to OEM settings:

Backup your profile

sudo cp ~/.mozilla/firefox/profiles.ini ~/.mozilla/firefox/profiles.ini.bak

Then remove it

sudo rm ~/.mozilla/firefox/profiles.ini

This will reset everything in firefox to default settings.

share|improve this answer
    
Already tried flash-aid, didn't fix the problem. I'll try the other one too. –  John P Bloch Mar 3 '12 at 21:57
    
flash-video-replacer allowed my to watch a youtube video in firefox. However, it did not fix flash. It only works for videos that it knows how to handle. Not a fix, more like a bandaid, and not a good one at that. Thanks for the suggestions, though. –  John P Bloch Mar 3 '12 at 22:05
add comment

If you are using ubuntu-restricted-extras, which installs the flashplugin-installer package, then it is using 32bit libs and isn't true 64bit. Try removing it
sudo apt-get autoremove --purge flashplugin-installer

Enable the partner repository in your sources.list
gksu gedit /etc/apt/sources.list and look for

# deb http://archive.canonical.com/ubuntu oneiric partner
# deb-src http://archive.canonical.com/ubuntu oneiric partner

remove the # and save/exit
sudo apt-get update && sudo apt-get install adobe-flashplugin

share|improve this answer
    
Good to know about flashplugin-installer. Still the same, though. –  John P Bloch Mar 3 '12 at 22:44
    
I guess it could be down to your video driver as well. What chipset are you using? –  duffydack Mar 3 '12 at 22:48
    
Not sure. How would I find that out? –  John P Bloch Mar 3 '12 at 22:58
    
lspci | grep VGA –  duffydack Mar 3 '12 at 23:01
    
00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03) –  John P Bloch Mar 3 '12 at 23:02
show 1 more comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.